# WhenEachResult<T> Struct | UniTask

Show / Hide Table of Contents

# WhenEachResult<T> Struct

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public readonly struct WhenEachResult<T>

#### Type Parameters

`T`

### Members

#### Constructors

Name | Description
--- | ---
WhenEachResult(T) |
WhenEachResult(Exception) |

#### Properties

Name | Description
--- | ---
Exception |
IsCompletedSuccessfully |
IsFaulted |
Result |

#### Methods

Name | Description
--- | ---
GetResult() |
ToString() |
TryThrow() |

### Constructors

#### WhenEachResult(T)

    public WhenEachResult(T result)

##### Parameters

`result` T

#### WhenEachResult(Exception)

    public WhenEachResult(Exception exception)

##### Parameters

`exception` System.Exception

### Properties

#### Exception

    public readonly Exception Exception { get; }

##### Property Value

System.Exception

#### IsCompletedSuccessfully

    public readonly bool IsCompletedSuccessfully { get; }

##### Property Value

System.Boolean

#### IsFaulted

    public readonly bool IsFaulted { get; }

##### Property Value

System.Boolean

#### Result

    public readonly T Result { get; }

##### Property Value

T

### Methods

#### GetResult()

    public readonly T GetResult()

##### Returns

T

#### ToString()

    public override readonly string ToString()

##### Returns

System.String

##### Overrides

System.ValueType.ToString()

#### TryThrow()

    public readonly void TryThrow()